Bug 1856529 - CVE-2020-14336 ose-machine-config-operator-container: openshift: restricted SCC allows pods to craft custom network packets [openshift-4]
Summary: CVE-2020-14336 ose-machine-config-operator-container: openshift: restricted S...
Keywords:
Status: CLOSED ERRATA
Alias: None
Deadline: 2022-01-09
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.5.z
Assignee: Urvashi Mohnani
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On: 1874671
Blocks: CVE-2020-14336
TreeView+ depends on / blocked
 
Reported: 2020-07-13 20:10 UTC by Yuval Kashtan
Modified: 2020-10-26 14:42 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In this release, the NET_RAW and SYS_CHROOT capabilities are no longer available in the default list of CRI-O capabilities. To reduce impact to clusters created in releases before <4.5.z>, the default capabilities list is now contained in separate machine configs: 99-worker-generated-crio-capabilities and 99-master-generated-crio-capabilities. The cluster creates the new machine configs when you upgrade from a previous release. After upgrading, you should disable the NET_RAW and SYS_CHROOT capabilities, and then test your workloads. When you are ready to remove these capabilities, delete the 99-worker-generated-crio-capabilities and 99-master-generated-crio-capabilities machine configs. If you are upgrading from an earlier release, you must upgrade to <4.5.z> before you upgrade to this release.
Clone Of:
: 1874671 (view as bug list)
Environment:
Last Closed: 2020-10-26 14:41:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2050 0 None closed [release-4.5] Bug 1856529: Create a drop-in file for cri-o's default_capabilities 2021-01-26 20:01:16 UTC
Github openshift origin pull 25518 0 None closed [release-4.5] Bug 1856529: Add NET_RAW capability to internal_ports test 2021-01-26 20:01:16 UTC
Red Hat Product Errata RHSA-2020:4320 0 None None None 2020-10-26 14:41:59 UTC

Comment 24 W. Trevor King 2020-10-16 18:01:18 UTC
https://openshift-release.apps.ci.l2s4.p1.openshiftapps.com/releasestream/4.5.0-0.nightly/release/4.5.0-0.nightly-2020-10-16-165114 brings in the new MCD RPM with a machine-os-content RHCOS bump to 45.82.202010161329-0.  I'm a bit fuzzy on whether it's the RPM or a container image that's used for in-cluster MCDs, but probably worth using 4.5.0-0.nightly-2020-10-16-165114 or later for verification just in case ;).

Comment 30 errata-xmlrpc 2020-10-26 14:41:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Low: OpenShift Container Platform 4.5.16 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4320


Note You need to log in before you can comment on or make changes to this bug.